Kindergarten Registration

Each spring, Frisco ISD begins registering students entering kindergarten the following school year. To attend kindergarten in the 2021-22 school year, students must be five years of age or older on or before September 1, 2021.

This early registration process gives parents information to ease the transition into kindergarten and assists the District in planning for enrollment growth and staffing needs. Please follow the new student registration instructions below and take advantage of this opportunity to register your child! 

202​1-2​2 Kindergarten Kickoff

  • Parents of students* who live in Frisco ISD and will be five years of age or older on or before September 1, 2021.
    *Current Frisco ISD prekindergarten students should wait to register with returning FISD students later this spring. 
  • Online starting February 16, 2021

  • Fill out the online registration form at the links below:
    2021-22 School Year Registration in English
    Inscripción del año escolar 2021-2​2 en Español

    In addition to basic information about your child, please be prepared to upload copies of the following documents:

    Once you have completed the online registration form and uploaded the required documents, you will receive a confirmation email. Please note, however, that enrollment is not complete until the documentation is reviewed and processed by District staff.
     
    Frisco ISD will begin processing new kindergarten students March 1, with the process continuing into the spring and summer in the order in which online submissions are received. Parents will receive a welcome letter to the District via email once their online registration form has been processed and enrollment is complete. Elementary schools will begin communicating with families this spring in preparation for a successful transition into kindergarten.
Your browser is out-of-date.

Update your browser to view this website correctly. Update my browser now

At this time the Frisco ISD website requires Internet Explorer 9 or later.

If you are on IE 9 or later and are seeing this error then your browser may be running as a previous version.

×